GET /virtualservice/{uuid}/learningstats/
/virtualservice/{uuid}/learningstats/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"messages_send": 0,
"messages_send_failed": 0,
"request_api_path_param_count": 0,
"request_api_query_param_count": 0,
"request_api_request_body_param_count": 0,
"request_endpoint_classification_api_with_violations": 0,
"request_endpoint_classification_non_api": 0,
"request_endpoint_classification_shadow": 0,
"request_format_api": 0,
"request_format_waf": 0,
"request_uri_info_learned": 0,
"request_waf_request_param_count": 0
}
Number of attempts to queue a request-learning message to the controller for this VS. Incremented when the message is queued in the SE_DP, not when it is actually sent to the SE_AGENT/Controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of request-learning messages for this VS that could not be queued in the SE_DP. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of learned API path params sent to the controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of learned API query params sent to the controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of learned API request body params sent to the controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated with endpoint_classification API_WITH_VIOLATIONS. API learning only. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated with endpoint_classification NON_API. Includes both WAF and API learning. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated with endpoint_classification API_SHADOW. API learning only. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated with learning_data_format API. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated with learning_data_format WAF. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of RequestUriInfo entries generated for this VS and sent to the controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of learned WAF request params sent to the controller. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/learningstats